Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class PropertyTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.PropertyTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, PropertyType<T>

    public class PropertyTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, PropertyType<T>

This class implements the `propertyType` xsd type

Original Documentation:

Specifies a name/value pair.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getName()` Returns the `name` element
`java.lang.String` | `getValue()` Returns the `value` element
`PropertyType<T>` | `removeName()` Removes the `name` element
`PropertyType<T>` | `removeValue()` Removes the `value` element
`PropertyType<T>` | `setName(java.lang.String name)` If not already created, a new `name` element with the given value will be created.
`PropertyType<T>` | `setValue(java.lang.String value)` If not already created, a new `value` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTypeImpl

    public PropertyTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### PropertyTypeImpl

    public PropertyTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setName

    public PropertyType<T> setName(java.lang.String name)

  If not already created, a new `name` element with the given value will be created. Otherwise, the existing `name` element will be updated with the given value.

  Specified by:
    `setName` in interface `PropertyType<T>`
  Returns:
    the current instance of `PropertyType`

### removeName

    public PropertyType<T> removeName()

  Removes the `name` element

  Specified by:
    `removeName` in interface `PropertyType<T>`
  Returns:
    the current instance of `PropertyType`

### getName

    public java.lang.String getName()

  Returns the `name` element

  Specified by:
    `getName` in interface `PropertyType<T>`
  Returns:
    the node defined for the element `name`

### setValue

    public PropertyType<T> setValue(java.lang.String value)

  If not already created, a new `value` element with the given value will be created. Otherwise, the existing `value` element will be updated with the given value.

  Specified by:
    `setValue` in interface `PropertyType<T>`
  Returns:
    the current instance of `PropertyType`

### removeValue

    public PropertyType<T> removeValue()

  Removes the `value` element

  Specified by:
    `removeValue` in interface `PropertyType<T>`
  Returns:
    the current instance of `PropertyType`

### getValue

    public java.lang.String getValue()

  Returns the `value` element

  Specified by:
    `getValue` in interface `PropertyType<T>`
  Returns:
    the node defined for the element `value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD